-- MySQL dump 10.15  Distrib 10.0.32-MariaDB, for debian-linux-gnueabihf (armv8l)
--
-- Host: localhost    Database: pitouch
-- ------------------------------------------------------
-- Server version	10.0.32-MariaDB-0+deb8u1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `pitouch`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `pitouch` /*!40100 DEFAULT CHARACTER SET latin1 COLLATE latin1_general_ci */;

USE `pitouch`;

--
-- Table structure for table `devices`
--

DROP TABLE IF EXISTS `devices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `devices` (
  `device_id` int(11) NOT NULL AUTO_INCREMENT,
  `idx` int(11) NOT NULL,
  `nom` varchar(255) COLLATE latin1_general_ci NOT NULL,
  `type` varchar(255) COLLATE latin1_general_ci NOT NULL,
  `soustype` varchar(255) COLLATE latin1_general_ci NOT NULL,
  `hardwarename` varchar(255) COLLATE latin1_general_ci NOT NULL,
  `hardwaretype` varchar(255) COLLATE latin1_general_ci NOT NULL,
  `dajout` date NOT NULL,
  `prix` decimal(6,2) NOT NULL DEFAULT '0.00',
  `id` varchar(20) COLLATE latin1_general_ci NOT NULL,
  `descriptif` varchar(255) COLLATE latin1_general_ci NOT NULL,
  `dderniercontact` date NOT NULL,
  `groupejm` enum('eclairage','interrupteur','capteur','groupe','température intérieure','température extérieure','météo','inconnu') COLLATE latin1_general_ci NOT NULL DEFAULT 'inconnu',
  `x` int(11) NOT NULL,
  `y` int(11) NOT NULL,
  `iconespecialOn` varchar(50) COLLATE latin1_general_ci NOT NULL DEFAULT '',
  `iconespecialOff` varchar(50) COLLATE latin1_general_ci NOT NULL DEFAULT '',
  `protection` int(11) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`device_id`),
  UNIQUE KEY `idx` (`idx`),
  KEY `type` (`type`),
  KEY `soustype` (`soustype`),
  KEY `nom` (`nom`),
  KEY `dajout` (`dajout`),
  KEY `id` (`id`),
  KEY `dderniercontact` (`dderniercontact`),
  KEY `hardwaretype` (`hardwaretype`),
  KEY `hardwarename` (`hardwarename`),
  KEY `groupejm` (`groupejm`)
) ENGINE=InnoDB AUTO_INCREMENT=72 DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `familles`
--

DROP TABLE IF EXISTS `familles`;
/*!50001 DROP VIEW IF EXISTS `familles`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `familles` (
  `famille` tinyint NOT NULL,
  `membre` tinyint NOT NULL,
  `nbmembre` tinyint NOT NULL
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Dumping routines for database 'pitouch'
--

--
-- Current Database: `pitouch`
--

USE `pitouch`;

--
-- Final view structure for view `familles`
--

/*!50001 DROP TABLE IF EXISTS `familles`*/;
/*!50001 DROP VIEW IF EXISTS `familles`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `familles` AS select `devices`.`type` AS `famille`,`devices`.`soustype` AS `membre`,count(`devices`.`type`) AS `nbmembre` from `devices` group by `devices`.`type`,`devices`.`soustype` order by `devices`.`type`,`devices`.`soustype` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2017-09-09 18:12:26
