<?Php
function FRM_form(){
	$nbarg = func_num_args();
	$ar_arg = func_get_args();

	$method = $ar_arg[0]; // GET ou POST, par dfaut POST
	$name   = $ar_arg[1]; // Nom du formulaire
	$action = $ar_arg[2]; // Action par dfaut pour submit
	$class  = $ar_arg[3]; // Classe du formulaire
	$target = $ar_arg[4]; // Cible aprs la soumission du formulaire
	$retour = $ar_arg[5]; // Affiche ou renvoi le rsultat de la fonction
	
	if (trim($method) == ""){ $method = "post"; }
	
	$element = "<form method=\"$method\"";
	if (trim($name) != "") {$element .= " name=\"$name\"";}
	if (trim($action) != "") {$element .= " action=\"$action\"";}
	if (trim($class) != "") {$element .= " class=\"$class\"";}
	if (trim($target) != "") {$element .= " target=\"$target\"";}
	$element .= ">\n";
	if ($retour == 1) { return $element; } else { echo $element; }

}
function FRM_form_off(){ echo "</form>\n"; }
// Prototype : FRM_label(array($retour[true/false],$idfor,$textaffiche));
function FRM_label(){
	
	$ar_arg = func_get_args();
	$retour  = $ar_arg[0];
	$idfor  = $ar_arg[1];
	$textaffiche = $ar_arg[2];
	$element = "<label for=\"$idfor\">$textaffiche</label>";

	if ($retour){ return $element; } else { echo $element; }

}
// Prototype : FRM_it($text,$class,$size,$max,$name,$valeur,$retour,$action,$style,$autocomplete,$type,$readonly);
function FRM_it(){

	$ar_arg = func_get_args();

	$text   = $ar_arg[0]; // Texte ffich devant l'elememt
	$class  = $ar_arg[1]; // Nom de la classe (optionnel) 
	$size	= $ar_arg[2]; // Taille de l'lment  (optionnel)
	$max    = $ar_arg[3]; // Nombre de caractre maximum permis  (optionnel)
	$name   = $ar_arg[4]; // Nom java de l'lment  (optionnel)
 	$valeur = $ar_arg[5]; // Valeur de l'lment  (optionnel)
	$retour = $ar_arg[6]; // Renvoie la balise ou l'affiche directement
	$action = $ar_arg[7]; // Script associ  (optionnel)
	$style  = $ar_arg[8]; // Style 
	if (isset($ar_arg[9]) AND ($ar_arg[9] == 1)){ $autocomplete = "off"; }

	// Parametre ajout voire http://www.w3schools.com/tags/att_input_type.asp
	if (isset($ar_arg[10]) AND (trim($ar_arg[10]) != "")){ 
		$element = "$text<input type=\"".$ar_arg[10]."\"";
	} else {
		$element = "$text<input type=\"text\"";
	}
	if (isset($ar_arg[11]) AND ($ar_arg[11] == 1)){ $element .= " readonly"; }
	
	if ($class!="")  { $element.= " class=\"$class\"";}
	if ($size!="") 	 { $element.= " size=\"$size\"";}
	if ($style!="")  { $element.= " style=\"$style\"";}
	if ($max!="") 	 { $element.= " maxlength=\"$max\"";}
	if ($name!="") 	 { $element.= " name=\"$name\"";}
	if ($valeur!="") { $element.= " value='".htmlspecialchars($valeur,ENT_QUOTES)."'";}  
	if ($action!="") { $element.= " $action";}
	if (isset($autocomplete)) { $element.= " autocomplete=\"off\"";}

	$element .=">\n";
	if ($retour == 1) { return $element; } else { echo $element; }
	
	
}
function FRM_se() {
	
	$ar_arg = func_get_args();
	
	$name     = $ar_arg[0];
	$class    = $ar_arg[1];
	$size     = $ar_arg[2];
	$multiple = $ar_arg[3];
	$action   = $ar_arg[4];
	$retour   = $ar_arg[5];
	$style    = $ar_arg[6];
	if (isset($ar_arg[7]) AND $ar_arg[7] == 'disabled'){ $disabled = "disabled"; } else {$disabled="";}
	if (isset($ar_arg[8])){ $id = $ar_arg[8]; } else {$id="";}


	$element = "<select ";
	if ($disabled!="")		{$element.=" disabled ";}
	if ($name!="")		{$element.=" name='$name'";}
	if ($class!="")		{$element.=" class='$class'";}
	if ($size!="") 		{$element.=" size='$size'";}
	if ($style!="")     {$element.=" style='$style'";}
	if ($multiple==1)	{$element.=" multiple='multiple'";}
	if ($action!="")	{$element.=" ".$action;}
	if ($id!="")		{$element.=" id='".$id."'";}
	$element.= ">";
	if ($retour == 1) { return $element; } else { echo $element; }

}
function FRM_se_fin(){ echo "</select>\n"; }
function FRM_opt() {
	
	$ar_arg = func_get_args();
	
	$class    	= $ar_arg[0];
	$valeur   	= $ar_arg[1];
	$selection	= $ar_arg[2];
	$texte		= $ar_arg[3];
	$retour   	= $ar_arg[4];
	$style    	= $ar_arg[5];
	
	$element = "<option value=\"$valeur\"";
	if ($style!="")     {$element.= " style=\"$style\"";}
	if ($selection) {$element .=" selected=\"selected\" ";}
	if (trim($class)!=""){$element.=" class=\"".$class."\" ";}
	$element.=">".$texte."&nbsp;&nbsp;</option>\n";
	if ($retour == 1) { return $element; } else { echo $element; }
}
function FRM_bt() {

	$ar_arg = func_get_args();

	$class    	= $ar_arg[0];
	$type    	= $ar_arg[1];
	$name   	= $ar_arg[2];
	$valeur		= $ar_arg[3];
	$action		= $ar_arg[4];
	$retour   	= $ar_arg[5];
	$style    	= $ar_arg[6];
	if (isset($ar_arg[7])){ $id = $ar_arg[7]; } else { $id=""; }
	if (isset($ar_arg[8])){ $dsbld = $ar_arg[8]; } else { $dsbld = ""; }

	if (trim($type)=="")	{ $type="submit"; }
	if (trim($name)=="")	{ $name="boutton_soumission"; }
	if (trim($valeur)=="")	{ $valeur="Ok"; }
	$element = "<input";
	if (trim($id)!=""){ $element .= " id=\"$id\" "; }
	$element .= " type=\"$type\" class=\"$class\" name=\"$name\" value=\"$valeur\" ".$action." style=\"$style\"/ $dsbld>\n";
	if ($retour == 1) { return $element; } else { echo $element; }
}
function FRM_hidden() {

	$ar_arg = func_get_args();

	$name    	= $ar_arg[0];
	$valeur    	= $ar_arg[1];
	$retour   	= $ar_arg[2];
	if (isset($ar_arg[3])){ $id = $ar_arg[3]; } else { $id=""; }


	$element = "<input type=\"hidden\"";
	if (trim($id)!=""){ $element .= " id=\"$id\" "; }
	
	$element .= "name=\"$name\" value=\"$valeur\"/>\n";
	if ($retour == 1) { return $element; } else { echo $element; }
}
function FRM_pword(){
	
	$ar_arg = func_get_args();
	$class 	= $ar_arg[0];
	$name	= $ar_arg[1];
	$valeur	= $ar_arg[2];
	$taille	= $ar_arg[3];
	$style	= $ar_arg[4];
	$retour	= $ar_arg[5];
	if (isset($ar_arg[6])){$action = $ar_arg[6];}else{$action="";}


	$element = "<input type=\"password\"";
	if ($style!="") {$element .=" style=\"$style\"";}
	if ($class!="")	{$element .=" class=\"$class\""; }
	if ($name!="")	{$element .=" name=\"$name\"";  }
	if ($valeur!=""){$element .=" value=\"$valeur\"";}
	if ($taille!=""){$element .=" size=\"$taille\"";}
	if ($action!=""){$element .=" $action";}
	
	$element .= "/>\n";

	if ($retour == 1) {return $element;} else {echo $element;}
}
function FRM_cb() {

	$ar_arg = func_get_args();
	
	$class   = $ar_arg[0];
	$style   = $ar_arg[1];
	$name	 = $ar_arg[2];
	$checked = $ar_arg[3];
	$text	 = $ar_arg[4];
	$action	 = $ar_arg[5];
	$retour	 = $ar_arg[6];
	if (isset($ar_arg[7])){$valeur=$ar_arg[7];}

	$element = "<input type=\"checkbox\"";
	if ($class!="")	{$element .=" class=\"$class\""; }
	if ($style!="") {$element .=" style=\"$style\"";}
	if ($name!="")	{$element .=" name=\"$name\"";}
	if ($checked==1){$element .= "checked";}
	if ($action!=""){$element .=" ".$action;}
	if (isset($valeur)){$element .="  value=\"$valeur\"";}
	$element .= "/>".$text."\n";
	if ($retour == 1) { return $element; } else { echo $element; }

}
function FRM_ir() {
	
	$ar_arg = func_get_args();

	$class   = $ar_arg[0];
	$style   = $ar_arg[1];
	$name	 = $ar_arg[2];
	$checked = $ar_arg[3];
	$value	 = $ar_arg[4];
	$text	 = $ar_arg[5];
	$action	 = $ar_arg[6];
	$retour	 = $ar_arg[7];
	$id		 = $ar_arg[8];

	$element = "<input type=radio class=\"$class\" name=\"$name\" value=\"$value\"";
	if ($checked==1){ $element .= " checked"; }
	if (trim($action)!=""){ $element .= " ".$action; }
	if (trim($id)!=""){ $element .= " id=\"$id\""; }
	
	$element = $element.">".$text."\n";
	if ($retour == 1) { return $element; } else { echo $element; }
}
function FRM_ta() {

	$ar_arg = func_get_args();

	$style 	 = $ar_arg[0]; 
	$name 	 = $ar_arg[1]; 
	$class 	 = $ar_arg[2];
	$rows 	 = $ar_arg[3];
	$cols 	 = $ar_arg[4];
	$contenu = $ar_arg[5];
	$retour  = $ar_arg[6];
	$action  = $ar_arg[7];
	
	$element = "<textarea";
	if (isset($ar_arg[8]) AND ($ar_arg[8] == 1)){ $element .= " readonly"; }
	if (trim($style)!="") $element.= " style=\"$style\"";
	if (trim($name)!="")  $element.= " name=\"$name\"";
	if (trim($class)!="") $element.= " class=\"$class\"";
	if (trim($rows)!="")  $element.= " rows=\"$rows\"";
	if (trim($cols)!="")  $element.= " cols=\"$cols\"";
	if (trim($action)!="") $element.= " $action";
	$element .= ">".$contenu."</textarea>\n";
	
	if ($retour == 1) { return $element; } else { echo $element; }
}
function FRM_upload($ar_param) {

	// Fonction jamais test a voir...
	$element = "<form method=\"post\" enctype=\"multipart/form-data\"";
	if (isset($ar_param['name'])){ $element .= " name=\"".$ar_param['name']."\\"; }
	if (isset($ar_param['action'])){ $element .= " action=\"".$ar_param['action']."\\"; }
	if (isset($ar_param['class'])){ $element .= " class=\"".$ar_param['class']."\\"; }
	if (isset($ar_param['target'])){ $element .= " target=\"".$ar_param['target']."\\"; }
	$element=$element.">\n";

	if (isset($ar_param['retour'])){
		if ($ar_param['retour']==1){ return $element; }
	} 
	echo $element;
}
?>
