 <?Php
/* Dfini la zone local pour la date et l'heure */
date_default_timezone_set("Europe/Paris");

/****************************************************************************/
/* Inclusion des bibliotheque JimLib (Version restreinte)					*/
/****************************************************************************/
if (!isset($ar_librairie)){ $ar_librairie = array('form','html5','mysqli','table'); }
foreach($ar_librairie as $bib){ include($_SERVER["DOCUMENT_ROOT"]."/lib-3.0/lib-".$bib.".php"); }

/*******************************************************************************************/
/* Section pour le regroupement des dispositifs (laiss inconnu  la fin pour le tri)      */
/*******************************************************************************************/
$ar_section = array('tous','eclairage','interrupteur','capteur','groupe','temprature intrieure','temprature extrieure','mto','inconnu');

/*******************************************************************************************/
/* Section pour les boutons 														       */
/*******************************************************************************************/
$ar_widget['eclairage'] = "/img/section-eclairage.png";
$ar_widget['interrupteur'] = "/img/section-interrupteur.png";
$ar_widget['capteur'] = "/img/section-capteur.png";
$ar_widget['temperature'] = "/img/temperature.png";
$ar_widget['groupe'] = "/img/section-groupe.png";

/******************************************************************************************************/
/* Traduction pour DarkSky- weather lookup	Les icones correspondants dans /img/meteo ont le meme nom */
/******************************************************************************************************/
$ar_MeteoFrench['cloudy rain'] 		= "Nuage et pluie";
$ar_MeteoFrench['cloudy'] 			= "Nuage et pluie";
$ar_MeteoFrench['no info'] 			= "";
$ar_MeteoFrench['partly cloudy']	= "Partiellement nuageux";
$ar_MeteoFrench['rain'] 			= "Pluvieux";
$ar_MeteoFrench['stable'] 			= "Stable";
$ar_MeteoFrench['sunny'] 			= "Ensoleill&eacute;";
$ar_MeteoFrench['thunderstorm'] 	= "Orage";
$ar_MeteoFrench['unknown'] 			= "";
$ar_MeteoFrench['unstable'] 		= "Instable";


/****************************************************************************/
/* Images 																	*/
/****************************************************************************/
define("IMG_INTERFACE"		,"/img/interface.png");
define("IMG_PARAMETRES"		,"/img/parametres.png");
define("IMG_DISPOSITIFS"	,"/img/devices.png");
define("IMG_CATEGORIE"		,"/img/categories.png");
define("IMG_REGLAGES"		,"/img/reglages.png");
define("IMG_HELP"			,"/img/help.png");
define("IMG_UPDATEDEVICE"	,"/img/updatedevice.png");
define("IMG_REFRESHPAGE"	,"/img/refreshpage.png");
define("IMG_ACCUEIL" 	  	,"/img/home.png");


/****************************************************************************/
/* Divers 																	*/
/****************************************************************************/
$ar_vide=array();

/****************************************************************************/
/* Parametre de configuration												*/
/****************************************************************************/
if (file_exists($_SERVER['DOCUMENT_ROOT'].'/config/pitouch.ini')){
	if (basename($_SERVER['SCRIPT_FILENAME'])!="xhr.parametres.php"){ 
		$ar_param = @parse_ini_file($_SERVER['DOCUMENT_ROOT'].'/config/pitouch.ini') OR die('Impossible de lire le fichier de configuration');

		/****************************************************************************/
		/* Base de donnes : ouverture et dclaration de constante   				*/
		/****************************************************************************/
		$mysqli = @mysqli_connect($ar_param['serveurbdd'], $ar_param['user'], $ar_param['mdp'], $ar_param['bdd']);
		/****************************************************************************/
		/* Adresse de la domoticz									   				*/
		/****************************************************************************/
		define("DMTCZ_URL","http://".$ar_param['ipdmtcz'].":".$ar_param['portdmtcz']."/json.htm?");
	}
}

?>
